=== debian/changelog ===
ftxui (5.0.0-2) unstable; urgency=medium

  [ Alex Myczko ]
  * Source only upload.
  * d/control: add myself as Uploaders to be able to do team upload.

 -- Alex Myczko <tar@debian.org>  Thu, 25 Apr 2024 07:49:39 +0200

ftxui (5.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1062434)

 -- Shriram Ravindranathan <s20n@ters.dev>  Thu, 08 Feb 2024 13:21:29 +0000
