=== debian/control ===
Source: ftxui
Section: devel
Priority: optional
Maintainer: Shriram Ravindranathan <s20n@ters.dev>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 iwyu,
 libgtest-dev,
 libbenchmark-dev,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.6.2
Homepage: https://github.com/ArthurSonzogni/FTXUI
Vcs-Browser: https://salsa.debian.org/debian/ftxui
Vcs-Git: https://salsa.debian.org/debian/ftxui.git

Package: libftxui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libftxui-component5.0.0 (= ${binary:Version}),
 libftxui-dom5.0.0 (= ${binary:Version}),
 libftxui-screen5.0.0 (= ${binary:Version}),
 ${misc:Depends},
Suggests: ftxui-doc
Description: Cross-platform C++ functional TUI library - Development Files
 ftxui is a modern C++ TUI library for building interfaces in a functional
 style.
 .
  - Functional style, Inspired by React
  - Simple and elegant syntax.
  - Keyboard & mouse navigation.
  - Support for UTF8 and fullwidth chars.
  - Support for animations.
  - Support for drawing.
  - No dependencies.
  - Cross platform: Linux, MacOS, WebAssembly, Windows
 .
 This package provides the development headers for ftxui.

Package: libftxui-component5.0.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libftxui-dom5.0.0 (= ${binary:Version}),
 libftxui-screen5.0.0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Cross-platform C++ functional TUI library - Component Module
 ftxui is a modern C++ TUI library for building interfaces in a functional
 style.
 .
  - Functional style, Inspired by React
  - Simple and elegant syntax.
  - Keyboard & mouse navigation.
  - Support for UTF8 and fullwidth chars.
  - Support for animations.
  - Support for drawing.
  - No dependencies.
  - Cross platform: Linux, MacOS, WebAssembly, Windows
 .
 This package provides the runtime library for the component module of ftxui.

Package: libftxui-dom5.0.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libftxui-screen5.0.0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Cross-platform C++ functional TUI library - DOM Module
 ftxui is a modern C++ TUI library for building interfaces in a functional
 style.
 .
  - Functional style, Inspired by React
  - Simple and elegant syntax.
  - Keyboard & mouse navigation.
  - Support for UTF8 and fullwidth chars.
  - Support for animations.
  - Support for drawing.
  - No dependencies.
  - Cross platform: Linux, MacOS, WebAssembly, Windows
 .
 This package provides the runtime library for the DOM module of ftxui.

Package: libftxui-screen5.0.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Cross-platform C++ functional TUI library - Screen Module
 ftxui is a modern C++ TUI library for building interfaces in a functional
 style.
 .
  - Functional style, Inspired by React
  - Simple and elegant syntax.
  - Keyboard & mouse navigation.
  - Support for UTF8 and fullwidth chars.
  - Support for animations.
  - Support for drawing.
  - No dependencies.
  - Cross platform: Linux, MacOS, WebAssembly, Windows
 .
 This package provides the runtime library for the screen module of ftxui.

Package: ftxui-examples
Section: misc
Architecture: any
Depends:
 libftxui-component5.0.0 (= ${binary:Version}),
 libftxui-dom5.0.0 (= ${binary:Version}),
 libftxui-screen5.0.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Cross-platform C++ functional TUI library - Example Binaries
 ftxui is a modern C++ TUI library for building interfaces in a functional
 style.
 .
  - Functional style, Inspired by React
  - Simple and elegant syntax.
  - Keyboard & mouse navigation.
  - Support for UTF8 and fullwidth chars.
  - Support for animations.
  - Support for drawing.
  - No dependencies.
  - Cross platform: Linux, MacOS, WebAssembly, Windows
 .
 This package provides example binaries built with ftxui.

Package: ftxui-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends},
Description: Cross-platform C++ functional TUI library - Documentation
 ftxui is a modern C++ TUI library for building interfaces in a functional
 style.
 .
  - Functional style, Inspired by React
  - Simple and elegant syntax.
  - Keyboard & mouse navigation.
  - Support for UTF8 and fullwidth chars.
  - Support for animations.
  - Support for drawing.
  - No dependencies.
  - Cross platform: Linux, MacOS, WebAssembly, Windows
 .
 This package includes the library reference and examples for ftxui.
