=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE="Release" \
	-DFTXUI_ENABLE_INSTALL=ON \
	-DFTXUI_BUILD_EXAMPLES=ON \
	-DFTXUI_BUILD_DOCS=ON \
	-DBUILD_SHARED_LIBS=ON \
	-DCMAKE_CXX_INCLUDE_WHAT_YOU_USE="include-what-you-use;-Xiwyu;--cxx17ns;-Xiwyu;--mapping_file=$(CURDIR)/iwyu.imp;-Xiwyu;--no-default-mappings"

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

override_dh_installexamples:
	dh_installexamples -X CMakeLists.txt
